Bug 870384 - [RFE] Suggest improve "Testing Report" generating for large data query
[RFE] Suggest improve "Testing Report" generating for large data query
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.1
Unspecified Unspecified
medium Severity medium
: ---
: 3.8.10
Assigned To: cqi
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 06:30 EDT by Xin Gao
Modified: 2016-05-26 09:34 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.8.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2012-10-26 06:30:43 EDT
Description of problem:


Version-Release number of selected component (if applicable):
tcms 3.8.1 on production

How reproducible:


Steps to Reproduce:
1. use REPORTING -> Testing Report to create test report (eg, create report for RHEL 7)
2. 
  
Actual results:
the custom report will load forever with no response.

Expected results:
Suggest add time limit for large data query operation, and when the query time beyond a definition time, tcms should pop-up warning, and stop the query.

Additional info:
Comment 1 cqi 2014-07-29 21:55:15 EDT
Testing report has been re-implemented totally.
Comment 2 yangqiu 2014-08-07 06:25:44 EDT
Testing report pages have been added to memcache.

Note You need to log in before you can comment on or make changes to this bug.